Bug 1550771 - [GSS] Duplicate directory created on newly added bricks after rebalancing volume [NEEDINFO]
Summary: [GSS] Duplicate directory created on newly added bricks after rebalancing volume
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribute
Version: rhgs-3.3
Hardware: x86_64
OS: All
high
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Nithya Balachandran
QA Contact: Prasad Desala
URL:
Whiteboard:
Depends On: 1550315 1550896
Blocks: 1503138
TreeView+ depends on / blocked
 
Reported: 2018-03-02 01:08 UTC by Prashant Dhange
Modified: 2018-10-29 12:17 UTC (History)
11 users (show)

Fixed In Version: glusterfs-3.12.2-5
Doc Type: Bug Fix
Doc Text:
Previously, DHT did not rollback directory rename operations if they did not succeed on all bricks. This resulted in duplicate directories (with both old and new names) having the same gfid on bricks where the rename operation failed. With this fix, DHT rolls back the directory rename operations if it was not successful on all the bricks.
Clone Of:
Environment:
Last Closed: 2018-09-04 06:44:11 UTC
Target Upstream Version:
nbalacha: needinfo? (srmukher)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:45:12 UTC

Comment 14 Nithya Balachandran 2018-03-05 05:38:09 UTC
As I believe the issue to be related to ACLs not being set on the new bricks,I am adding BZ# 1550315 as a dependency.

Comment 34 Prasad Desala 2018-04-20 12:11:26 UTC
Reproduced this issue on 3.3.1 and followed the same steps for verifying this BZ on 3.4.0 (3.12.2-7.el7rhgs.x86_64).

1) Created a distributed-replicate volume and start it.
2) FUSE mount it on a client.
3) On mount point, create a directory "dir1"
4) Select a replica pair and for all the bricks in this replica pair set read-only option to on by making changes in the brick vol file. 
5) Stop and start the volume.
6) From mount point, rename the directory from dir1 to dir2.

Before fix, dir1 is not renamed on the read-only bricks and on other bricks rename is successful leading to inconsistency across the nodes and both dir1 and dir2 are having same gfid.

After fix, all the backend bricks are having the same directory.

Moving this BZ to Verified.

Comment 35 Srijita Mukherjee 2018-09-03 15:40:22 UTC
Have updated the doc text. Kindly review.

Comment 37 errata-xmlrpc 2018-09-04 06:44:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607

Comment 38 Nithya Balachandran 2018-10-29 12:17:15 UTC
(In reply to Srijita Mukherjee from comment #35)
> Have updated the doc text. Kindly review.

Hadn't this been reworded to remove all mention of DHT?


Note You need to log in before you can comment on or make changes to this bug.